Page MenuHomePhabricator

Mac Building Warnings
Closed, ResolvedPublic

Description

Few build warnings while building the release on my Macbook on Qt 5.8:

/Users/rich/huggle/huggle3-qt-lx/huggle/libs/libirc/libircclient/network.cpp:1744:13: warning: enumeration value 'Priority_RealTime' not handled in switch [-Wswitch]
switch (priority)

/Users/rich/huggle/huggle3-qt-lx/huggle/apiquery.cpp:188:17: warning: enumeration value 'TokenCsrf' not handled in switch [-Wswitch]
switch (token)

/Users/rich/huggle/huggle3-qt-lx/huggle/login.cpp:1377:59: warning: '&&' within '||' [-Wlogical-op-parentheses]
(this->ui->lineEdit_password->text().size() == 0) && this->ui->lineEditBotP->text().size() == 0 ) &&

/Users/rich/huggle/huggle3-qt-lx/huggle/login.cpp:1377:59: note: place parentheses around the '&&' expression to silence this warning
(this->ui->lineEdit_password->text().size() == 0) && this->ui->lineEditBotP->text().size() == 0 ) &&

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2017, 10:08 PM
RichSmith updated the task description. (Show Details)Jul 13 2017, 10:09 PM
RichSmith updated the task description. (Show Details)
RichSmith updated the task description. (Show Details)

Just noticed that 3 of those are exactly the same...

RichSmith updated the task description. (Show Details)Jul 13 2017, 10:11 PM
Petrb triaged this task as Low priority.Sep 2 2017, 10:22 PM
Petrb closed this task as Resolved.Jun 1 2018, 9:48 PM